Attempts to load an SQLite extension library

- « SQLite3::lastInsertRowID

- SQLite3::open »

- PHP Manual
- SQLite3
- Attempts to load an SQLite extension library

# SQLite3::loadExtension

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SQLite3::loadExtension — Attempts to load an SQLite extension library

### Description

public SQLite3::loadExtension(string `$name`): bool

Attempts to load an SQLite extension library.

### Parameters

`name`

  The name of the library to load. The library must be located in the directory specified in the configure option sqlite3.extension_dir.

### Return Values

Returns `true` if the extension is successfully loaded, `false` on failure.

### Examples

Example #1 SQLite3::loadExtension() example

    <?php
    $db = new SQLite3('mysqlitedb.db');
    $db->loadExtension('libagg.so');
    ?>